# $Revision: 1.6 $, $Date: 2011/07/01 14:26:24 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Time
%define		pnam	Progress
%include	/usr/lib/rpm/macros.perl
Summary:	Time::Progress - Elapsed and estimated finish time reporting
Summary(pl.UTF-8):	Time::Progress - informowanie o minionym i oczekiwanym czasie zakończenia operacji
Name:		perl-Time-Progress
Version:	1.7
Release:	1
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Time/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	83471e25b5b243be3ffa4e71387b020c
URL:		http://search.cpan.org/dist/Time-Progress/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Time::Progress reports elapsed and estimated finish time. Shortest
time interval that can be measured is 1 second (This should be fixed
in the future perhaps).

%description -l pl.UTF-8
Time::Progress informuje o mimionym i oczekiwanym czasie zakończenia
operacji. Najkrótszy mierzony czas to 1 sekunda (być może zostanie to
poprawione w przyszłości).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{_mandir}/man3/Time::Progress.3pm*
%{perl_vendorlib}/Time/Progress.pm

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Time-Progress.spec,v $
Revision 1.6  2011/07/01 14:26:24  marti
- up to 1.7

Revision 1.5  2010/12/28 08:08:54  glen
- release 2

Revision 1.4  2009/10/16 07:39:51  amateja
- updated to 1.5

Revision 1.3  2008/01/16 18:40:44  agaran
- up to 1.3, rel 1, builds here

Revision 1.2  2007-03-16 09:16:26  qboosh
- pl, generic URL

Revision 1.1  2007/03/05 11:52:59  agaran
- initial
